org.eclipse.jgit.api

## Class CherryPickResult

- java.lang.Object
- - org.eclipse.jgit.api.CherryPickResult

    public class CherryPickResult
    extends Object

Encapsulates the result of a `CherryPickCommand`.

### Nested Class Summary

Nested Classes
`static class` `CherryPickResult.CherryPickStatus` The cherry-pick status

### Field Summary

Fields
`static CherryPickResult` `CONFLICT` A `CherryPickResult` with status `CherryPickResult.CherryPickStatus.CONFLICTING`

### Constructor Summary

Constructors
Constructor and Description
`CherryPickResult(Map<String,ResolveMerger.MergeFailureReason> failingPaths)`
`CherryPickResult(RevCommit newHead, List<Ref> cherryPickedRefs)`

### Method Summary

Methods
`List<Ref>` `getCherryPickedRefs()`
`Map<String,ResolveMerger.MergeFailureReason>` `getFailingPaths()`
`RevCommit` `getNewHead()`
`CherryPickResult.CherryPickStatus` `getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFLICT

    public static final CherryPickResult CONFLICT

A `CherryPickResult` with status `CherryPickResult.CherryPickStatus.CONFLICTING`

### Constructor Detail

#### CherryPickResult

    public CherryPickResult(RevCommit newHead,
                    List<Ref> cherryPickedRefs)

Parameters:
  `newHead` - commit the head points at after this cherry-pick
  `cherryPickedRefs` - list of successfully cherry-picked `Ref`'s

#### CherryPickResult

    public CherryPickResult(Map<String,ResolveMerger.MergeFailureReason> failingPaths)

Parameters:
  `failingPaths` - list of paths causing this cherry-pick to fail (see `ResolveMerger.getFailingPaths()` for details)

### Method Detail

#### getStatus

    public CherryPickResult.CherryPickStatus getStatus()

Returns:
  the status this cherry-pick resulted in

#### getNewHead

    public RevCommit getNewHead()

Returns:
  the commit the head points at after this cherry-pick, `null` if `getStatus()` is not `CherryPickResult.CherryPickStatus.OK`

#### getCherryPickedRefs

    public List<Ref> getCherryPickedRefs()

Returns:
  the list of successfully cherry-picked `Ref`'s, `null` if `getStatus()` is not `CherryPickResult.CherryPickStatus.OK`

#### getFailingPaths

    public Map<String,ResolveMerger.MergeFailureReason> getFailingPaths()

Returns:
  the list of paths causing this cherry-pick to fail (see `ResolveMerger.getFailingPaths()` for details), `null` if `getStatus()` is not `CherryPickResult.CherryPickStatus.FAILED`